import request from '@/utils/request'

// 查询WmWalletInfo列表
export function listWmWalletInfo(query) {
  return request({
    url: '/api/v1/wm-wallet-info',
    method: 'get',
    params: query
  })
}

// 查询WmWalletInfo详细
export function getWmWalletInfo(id) {
  return request({
    url: '/api/v1/wm-wallet-info/' + id,
    method: 'get'
  })
}

// 新增WmWalletInfo
export function addWmWalletInfo(data) {
  return request({
    url: '/api/v1/wm-wallet-info',
    method: 'post',
    data: data
  })
}

// 修改WmWalletInfo
export function updateWmWalletInfo(data) {
  return request({
    url: '/api/v1/wm-wallet-info/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除WmWalletInfo
export function delWmWalletInfo(data) {
  return request({
    url: '/api/v1/wm-wallet-info',
    method: 'delete',
    data: data
  })
}

